<template>
  <div>
    <v-snackbar
      v-bind="$attrs"
      :value="value"
      :color="color"
      :timeout="timeout"
      v-on="$listeners"
      @input="$emit('input', $event)"
    >
      {{ text }}
      <template v-slot:action>
        <v-btn
          text
          @click="$emit('input', false)"
        >
          {{ $t('close') }}
        </v-btn>
      </template>
    </v-snackbar>
  </div>
</template>

<script>
  export default {
    name: 'Toast',
    props: {
      value: {
        type: Boolean,
        required: true,
        default: false,
      },
      text: {
        type: String,
        required: true,
        default: '',
      },
      timeout: {
        type: String,
        required: false,
        default: '3000',
      },
      variant: {
        type: String,
        required: false,
        default: '',
      },
    },
    computed: {
      color () {
        const vuetify = this.$vuetify.theme.themes.light
        return this.variant === 'error'
          ? vuetify.error
          : this.variant === 'success'
            ? vuetify.success
            : this.variant === 'warning'
              ? vuetify.warning
              : this.variant
      },
    },
    i18n: {
      messages: {
        'pt-BR': {
          close: 'Fechar',
        },
        'en-US': {
          close: 'Close',
        },
      },
    },
  }
</script>
